Enterprise Pull Request List
GET/api/v5/enterprises/:enterprise/pull_requests
Request
Path Parameters
The path of the enterprise (path/login)
Query Parameters
User authorization code
Pull Request status, all, all, open: open, closed: closed, merged: merged
issue global ID
None
Sort field, creation time: created, update time: updated. Default by creation time
Ascending: asc, Descending: desc
Current page number: defaults to 1
The number of items per page, with a maximum of 100. The default is 20.
Target branch
Pull Request Author
Search by title and description with fuzzy query
Create merge requests created after the specified time, time format is ISO 8601 for example: 2024-11-20T13:00:21+08:00
Merge requests created before the specified time, time format is ISO 8601 for example: 2024-11-20T13:00:21+08:00
Merge requests updated before the specified time, time format is ISO 8601, for example: 2024-11-20T13:00:21+08:00
Merge requests updated after the specified time, time format is ISO 8601 for example: 2024-11-20T13:00:21+08:00
Filter by the specified label name, multiple ones separated by English commas
all, all; created_by_me, created by me; assigned_to_me, assigned to me; need_my_approve, need my approval; need_my_review, need my review.
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- Array [
- ]
- ]
head objectrequired
repo objectrequired
namespace objectrequired
assigner objectrequired
base objectrequired
repo objectrequired
namespace objectrequired
labels object[]required
Visibility, public: Publicly visible, other: Visible to project members only
merged_by object
Merged Person
[
{
"id": 0,
"title": "string",
"url": "string",
"html_url": "string",
"number": 0,
"state": "string",
"assignees_number": 0,
"testers_number": 0,
"assignees": [
"string"
],
"head": {
"ref": "string",
"sha": "string",
"repo": {
"path": "string",
"namespace": {
"path": "string"
},
"assigner": {
"id": "string",
"login": "string",
"name": "string"
}
}
},
"base": {
"ref": "string",
"sha": "string",
"repo": {
"path": "string",
"namespace": {
"path": "string"
}
}
},
"created_at": "string",
"updated_at": "string",
"labels": [
{
"id": 0,
"name": "string",
"color": "string",
"created_at": "string",
"updated_at": "string"
}
],
"merged_at": "string",
"visibility_reason": "string",
"merged_by": {
"id": "string",
"login": "string",
"name": "string",
"avatar_url": "string",
"html_url": "string"
}
}
]
{
"id": 71020,
"url": "https://test.gitcode.net/api/v5/repos/test/test/1",
"html_url": "https://test.gitcode.net/test/test/1",
"number": 1,
"state": "merged",
"assignees_number": 0,
"testers_number": 0,
"assignees": [],
"testers": [],
"mergeable": null,
"can_merge_check": true,
"head": {
"ref": "main",
"sha": "d874402d259744a00121c2cff0febc8554339aef",
"repo": {
"path": "test",
"name_space": {
"path": "repo-dev"
},
"assigner": {
"id": "uuid",
"login": "Lzm_0916",
"name": "Lzm_0916"
}
}
},
"base": {
"ref": null,
"sha": null,
"repo": {
"path": "test",
"name_space": {
"path": "repo-dev"
}
}
},
"milestone": {
"created_at": "2024-04-15T18:33:01+08:00",
"description": "1",
"due_on": "2024-04-29",
"number": 73008,
"repository_id": 249609,
"state": "active",
"title": "the second milestone",
"updated_at": "2024-04-15T18:33:01+08:00",
"url": "https://test.gitcode.net/xiaogang_test/test222/milestones/2"
}
}